package bdd;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

import androidx.annotation.Nullable;

public class CreateBdDepannTout extends SQLiteOpenHelper {

    public static final String TABLE_CLIENT = "client";
    public static final String TABLE_INTER = "intervention";
    private static final String CREATE_TABLE_CLIENT =
            "CREATE TABLE " + TABLE_CLIENT + "(" +
                    "id INTEGER PRIMARY KEY AUTOINCREMENT, " +
                    "nom TEXT NOT NULL, " +
                    "prenom TEXT NOT NULL, " +
                    "adrMail TEXT NOT NULL, " +
                    "numTel TEXT NOT NULL, " +
                    "adrPostale TEXT NOT NULL);";

    private static final String CREATE_TABLE_INTER =
            "CREATE TABLE " + TABLE_INTER + "(" +
                    "id INTEGER PRIMARY KEY AUTOINCREMENT, " +
                    "idCli INTEGER NOT NULL, " +
                    "dateTime TEXT NOT NULL, " +
                    "observation TEXT NOT NULL);";

    // Constructeur, à générer automatiquement
    public CreateBdDepannTout(@Nullable Context context, @Nullable String name,
                              @Nullable SQLiteDatabase.CursorFactory factory, int version) {
        super(context, name, factory, version);
    }

    /**
     * Création de la base de données si elle n'existe pas
     *
     * @param db base
     */
    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CREATE_TABLE_CLIENT);
        Log.d("bdd", "table client créée");

        db.execSQL(CREATE_TABLE_INTER);
        Log.d("bdd", "table intervention créée");
    }

    /**
     * Création d'une nouvelle base en cas de changement de version
     *
     * @param db
     * @param oldVersion
     * @param newVersion
     */
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS " + TABLE_CLIENT + ";");
        Log.d("bdd", "Table " + TABLE_CLIENT + " supprimée");
        db.execSQL("DROP TABLE IF EXISTS " + TABLE_INTER + ";");
        Log.d("bdd", "Table " + TABLE_INTER + " supprimée");
        onCreate(db);
    }


}