package com.example.dpanntout;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import bdd.ClientDAO;
import metier.Client;

public class CreerClient extends AppCompatActivity {
    //variables de controle graphique (on les lies avec V du controle graphique du fichier xml)
private EditText nomCli;
private  EditText prenomCli;
private EditText melCli;
private EditText numCli;
private EditText adCli;
private  Button btnAjt;

//variables qui vont recuperer les valeurs saisies
    String saisieNomCLi;
    String saisiePrenomCli;
    String saisieMelCli;
    String saisieNumCli;
    String saisieAdCli;

    Client client ;  //nv client créer avec les nvl valeur
    long idClientCree; //id unique du client crée


    private ClientDAO clientDAO = null; //pour acceder a la bd ClientDAO et avoir acces au methode, on créer un objet clientDAO

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_creer_client);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
    Initialisation();
    CreationClient();
    }

    private void Initialisation() {
        //gestion du bouton quitter
        Button BtQuitP1 = (Button) findViewById(R.id.BtQuitP1);
        //associer l'evenement quitter au boutton quitter
        BtQuitP1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                clientDAO.close();
                finish();
            }
        });
    }

    //methode pour créer le nouveau client avec les informations saisies
public void CreationClient(){
    // Reconnaissance des contrôles graphiques de la vue
    nomCli = (EditText) findViewById(R.id.ptNomCliP1);
    prenomCli = (EditText) findViewById((R.id.ptPreCliP1));
    melCli =  (EditText) findViewById((R.id.ptmelCliP1));
    numCli = (EditText) findViewById((R.id.ptNumCliP1));
    adCli =  (EditText) findViewById((R.id.ptAdPoCliP1));
    btnAjt = (Button) findViewById(R.id.btAjtP1);
    //acces à la table client
    clientDAO = new ClientDAO(this);

    // Gestion de l'événement onClick sur le boutn Ajouter
    btnAjt.setOnClickListener(new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            //recuperation des zones de valeurs saisies
            saisieNomCLi = nomCli.getText().toString();
            saisiePrenomCli = prenomCli.getText().toString();
            saisieMelCli = melCli.getText().toString();
            saisieNumCli = numCli.getText().toString();
            saisieAdCli = adCli.getText().toString();

            //creation du nv client avec ses valeurs saisies
            client = new Client(saisieNomCLi, saisiePrenomCli, saisieMelCli, saisieNumCli, saisieAdCli);
            // Insertion du client  dans la base de données
            long idClientCree = clientDAO.create(client);

            //toast pour afficher un msg a l'ecran
            Toast.makeText(getApplicationContext(), "Client ajouté + " + "no : " + idClientCree + ")", Toast.LENGTH_SHORT).show();

            //permettre au zone de saisie de s'effacer quand on a enregistrer
            nomCli.setText("");
            prenomCli.setText("");
            melCli.setText("");
            numCli.setText("");
            adCli.setText("");
        } });

    }

}



