package com.example.dpanntout;

import static bdd.CreateBdDepannTout.TABLE_CLIENT;

import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import bdd.ClientDAO;
import bdd.CreateBdDepannTout;


public class ModifierLeClient extends AppCompatActivity {
//    private CreateBdDepannTout bdDepannTout;
private int idClient;
private String  nv_nom , nv_prenom, nv_mail, nv_tel, nv_adr;





    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_modifier_le_client);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        Initialisation();
        initialiserChampsClient();
        idClient = getIntent().getIntExtra("idClient", -1); // -1 si problème

    }


    private void Initialisation() {
        //gestion du bouton quitter
        Button btQuitP5 = (Button) findViewById(R.id.btQuitP5);
        //associer l'evenement quitter au boutton quitter
        btQuitP5.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
        Button btSupCli = (Button) findViewById(R.id.btSupCli);
        btSupCli.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // appel methode pour supprimer le client
                supprimerClient();
            }
        });
        Button btSaveModif = (Button) findViewById(R.id.btSaveModif);
        btSaveModif.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // appel methode pour supprimer le client
                modifierCLient();
            }
        });
    }


    //methode qui permet d'afficher dans les champs les données du cli selectionner
    private void initialiserChampsClient() {
        // Récupérer les données envoyées par l'intent
        Intent intent = getIntent();
        if (intent != null) {
            String nom = intent.getStringExtra("nom");
            String prenom = intent.getStringExtra("prenom");
            String mail = intent.getStringExtra("mail");
            String numero = intent.getStringExtra("numTel");
            String adresse = intent.getStringExtra("adresse");

            // Relier les EditText avec fiche id fichier xml modifier client
            EditText etNom = findViewById(R.id.NomCliModif);
            EditText etPrenom = findViewById(R.id.preCliModif);
            EditText etMail = findViewById(R.id.melCliModif);
            EditText etNumero = findViewById(R.id.numCliModif);
            EditText etAdresse = findViewById(R.id.addModif);

            // Remplir les EditText
            etNom.setText(nom);
            etPrenom.setText(prenom);
            etMail.setText(mail);
            etNumero.setText(numero);
            etAdresse.setText(adresse);
        }
    }
    public void supprimerClient(){
        ClientDAO client = new ClientDAO(this);
        client.deleteClient(idClient);  // appel de la methode presente dans ClientDAO
        Toast.makeText(this, "Client supprimé", Toast.LENGTH_SHORT).show();

    }

    public void modifierCLient(){
        // On récupère les champs de texte (les EditText) à l'écran, où l'utilisateur a tapé les infos
        EditText etNom = findViewById(R.id.NomCliModif);
        EditText etPrenom = findViewById(R.id.preCliModif);
        EditText etMail = findViewById(R.id.melCliModif);
        EditText etNumero = findViewById(R.id.numCliModif);
        EditText etAdresse = findViewById(R.id.addModif);
        // On transforme le texte saisi par l'utilisateur (EditText) en vraie chaîne de caractères (String)
        // C’est ce qu’on va envoyer à la base de données
        String nom = etNom.getText().toString();
        String prenom = etPrenom.getText().toString();
        String mail = etMail.getText().toString();
        String numero = etNumero.getText().toString();
        String adresse = etAdresse.getText().toString();
        // On crée une instance de ClientDAO pour accéder à la base de données
        ClientDAO clientDAO = new ClientDAO(this);
        // On appelle la méthode updateClient avec toutes les nouvelles valeurs + l'ID du client
        clientDAO.updateClient(idClient, nom, prenom, mail, numero, adresse);
        // On ferme la connexion à la base de données pour libérer les ressources
        clientDAO.close();

        Toast.makeText(this, "Client modifié", Toast.LENGTH_SHORT).show();
        // On ferme cette activité et on revient à l'écran précédent (ex : la liste des clients)
        finish(); // retour à la liste

    }




}